#define START_DELAY 5.5/*sec*/

#include<stdio.h>
#include"scan.h"

#define SSF_RELATED_INDEPENDENT 0
#define SSF_RELATED_CHILD	1

#define SSF_FGBG_FORE		0
#define SSF_FGBG_BACK		1
#define SSF_TRACEOPT_NONE	0
#define SSF_TRACEOPT_TRACE	1
#define SSF_TRACEOPT_TRACEALL	2

#define SSF_INHERTOPT_SHELL	0
#define SSF_INHERTOPT_PARENT	1

#define SSF_TYPE_DEFAULT	0
#define SSF_TYPE_FULLSCREEN	1
#define SSF_TYPE_WINDOWABLEVIO	2
#define SSF_TYPE_PM		3
#define SSF_TYPE_VDM		4
#define SSF_TYPE_GROUP		5
#define SSF_TYPE_DLL		6
#define SSF_TYPE_WINDOWEDVDM	7
#define SSF_TYPE_PDD		8
#define SSF_TYPE_VDD		9

void maketree2(char drive)
{   struct
    {	unsigned Length,	//Length of structure
		 Related,	//Relation of new process to caller
		 FgBg,		//Fore/background
		 TraceOpt;	//Trace options
	char far*PgmTitle,	//Program title (max 62 chars) or NULL
	     far*PgmName,	//Program name (max 128 chars) or NULL
	     far*PgmInputs,	//Program args (max 144 chars) or NULL
	     far*TermQ;		//"termq"
    }StartData=
    {	sizeof StartData,	//Length
	SSF_RELATED_CHILD,	//Related
	SSF_FGBG_BACK,		//FgBg
	SSF_TRACEOPT_NONE,	//TraceOpt
	"acdb (child process)", //PgmTitle
	"acdb2.exe",		//PgmName
	"-sD",			//PgmInputs
	NULL			//TermQ
    };
    int rc;

    StartData.PgmInputs[2]=drive;

    asm{			//DOS32StartSession
	mov	ah,64h
	mov	cx,636Ch
	mov	bx,25h
	lea	si,StartData
	int	21h
    }
    if(!(rc=_AX))
	idle(START_DELAY);
    else
	fprintf(stderr,"DOSStartSession(): Code=%02Xh\n",rc);
}
